## extra-cmake-modules 5.103.0

=== CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2006-2013 Alex Neundorf <neundorf@kde.org>
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# Preliminary setup
#

set(VERSION "5.103.0") # handled by release scripts

if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
    project(ECM
        VERSION "${VERSION}"
        LANGUAGES NONE
    )
else()
    project(ECM NONE)
    include("${CMAKE_SOURCE_DIR}/modules/ECMSetupVersion.cmake")
    ecm_setup_version(
        "${VERSION}"
        VARIABLE_PREFIX ECM
    )
endif()


#
# Includes
#

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(FeatureSummary)


#
# Installation paths
#

set(SHARE_INSTALL_DIR share
    CACHE
    PATH
    "read-only architecture-independent data"
)

set(CMAKECONFIG_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/cmake/)

set(FIND_MODULES_INSTALL_DIR      ${SHARE_INSTALL_DIR}/ECM/find-modules/)
set(KDE_MODULES_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/kde-modules/)
set(MODULES_INSTALL_DIR           ${SHARE_INSTALL_DIR}/ECM/modules/)
set(TOOLCHAIN_MODULES_INSTALL_DIR ${SHARE_INSTALL_DIR}/ECM/toolchain/)

set(DOC_INSTALL_DIR ${SHARE_INSTALL_DIR}/doc/ECM
    CACHE
    PATH
    "HTML and QtHelp documentation"
)
set(MAN_INSTALL_DIR ${SHARE_INSTALL_DIR}/man
    CACHE
    PATH
    "man pages"
)


#
# Documentation
#

add_subdirectory(docs)


#
# Tests
#

option(BUILD_TESTING "Build automated tests." ON)
add_feature_info(BUILD_TESTING BUILD_TESTING "Build automated tests.")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


#
# Install modules
#

file(GLOB installModuleFiles ${CMAKE_SOURCE_DIR}/modules/*[^~])
install(FILES ${installModuleFiles} DESTINATION ${MODULES_INSTALL_DIR})

file(GLOB installTestModuleFiles ${CMAKE_SOURCE_DIR}/test-modules/*[^~])
install(FILES ${installTestModuleFiles} DESTINATION ${SHARE_INSTALL_DIR}/ECM/test-modules)

file(GLOB installKdeModuleFiles LIST_DIRECTORIES FALSE ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})
# The scripts need to be executable
file(GLOB installKDECommitHooks ${CMAKE_SOURCE_DIR}/kde-modules/kde-git-commit-hooks/*[^~])
install(PROGRAMS ${installKDECommitHooks} DESTINATION ${KDE_MODULES_INSTALL_DIR}/kde-git-commit-hooks)

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])
install(FILES ${installToolchainModuleFiles} DESTINATION ${TOOLCHAIN_MODULES_INSTALL_DIR})


#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    ECMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
    INSTALL_DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS
        FIND_MODULES_INSTALL_DIR
        KDE_MODULES_INSTALL_DIR
        MODULES_INSTALL_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
)


#
# Packaging
#

set(CPACK_PACKAGE_NAME extra-cmake-modules)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SYSTEM_NAME "generic")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)

include(CPack)


#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== tests/KDEFetchTranslations/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(extra-cmake-modules)

# order is important (install dirs before cmake settings)!
set(all_kde_modules
    KDEInstallDirs
    KDECMakeSettings
    ECMMarkNonGuiExecutable
)

set(ECM_KDE_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../kde-modules)
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
set(CMAKE_MODULE_PATH "${ECM_KDE_MODULE_DIR}" "${ECM_MODULE_DIR}")

foreach(module ${all_kde_modules})
    message(STATUS "module: ${module}")
    include("${module}")
endforeach()

_repository_name(name "${CMAKE_CURRENT_SOURCE_DIR}/../../")
if (NOT ${name} STREQUAL "frameworks/extra-cmake-modules")
    message(FATAL_ERROR "Wrong repository name: ${name}, should be 'frameworks/extra-cmake-modules'")
endif()
add_executable(dummy ../ExecuteKDEModules/main.c)
ecm_mark_nongui_executable(dummy)

set_target_properties(dummy PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

if(NOT TARGET fetch-translations)
    message(FATAL_ERROR "should have a fetch-translations target")
endif()

=== debian/changelog ===
extra-cmake-modules (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:20 +0100

extra-cmake-modules (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:58 +0100

extra-cmake-modules (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:18 +0100

extra-cmake-modules (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop patch add_hurd_as_supported_platform.diff, it should not be
    needed anymore now that we demoted the unsupported platforms error
    to a warning.
  * New upstream release (5.99.0).
  * New upstream release (5.100.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

extra-cmake-modules (5.98.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to demote unsupported platform error to a warning so
    upstream unsupported platforms like Hurd can build in Debian without
    additional hacks.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Oct 2022 13:46:03 +0200

=== debian/control ===
Source: extra-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
               libjs-underscore <!nodoc>,
               pkg-kde-tools (>= 0.15.16~),
               python3-distutils <!nodoc>,
               python3-setuptools <!nodoc>,
               python3-sphinx (>= 1.2~) <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-sphinxcontrib.serializinghtml <!nodoc>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends},
Suggests: qt5-qmake, qtbase5-dev,
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5package-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),

Package: extra-cmake-modules-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using},
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Breaks: extra-cmake-modules (<< 5.74.0-1),
Replaces: extra-cmake-modules (<< 5.74.0-1),
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
 .
 This package contains HTML documentation and man pages.

## extra-cmake-modules 5.104.0

=== debian/changelog ===
extra-cmake-modules (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:15 +0000

extra-cmake-modules (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:13 +0000

extra-cmake-modules (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Refresh force_relative_paths.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Jan 2023 16:27:31 +0000

extra-cmake-modules (5.101.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Dec 2022 06:08:26 +0000

extra-cmake-modules (5.101.0-0ubuntu2) lunar; urgency=medium

  * Temporarily disable building docs.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Dec 2022 16:18:22 +0000

extra-cmake-modules (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:23 +0000

extra-cmake-modules (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:12:56 +0000

extra-cmake-modules (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:11 +0000

extra-cmake-modules (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:29:58 +0100

extra-cmake-modules (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:07 +0100

extra-cmake-modules (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:11 +0100

extra-cmake-modules (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:24 +0100

extra-cmake-modules (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:09 +0100

extra-cmake-modules (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:20:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -15,16 +16,16 @@
                python3-sphinxcontrib.qthelp <!nodoc>,
                python3-sphinxcontrib.serializinghtml <!nodoc>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
 Depends: ${misc:Depends},
-Suggests: qt5-qmake, qtbase5-dev,
+Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream
@@ -44,10 +45,10 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Built-Using: ${sphinxdoc:Built-Using},
-Depends: ${misc:Depends}, ${sphinxdoc:Depends},
-Breaks: extra-cmake-modules (<< 5.74.0-1),
-Replaces: extra-cmake-modules (<< 5.74.0-1),
+Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: extra-cmake-modules (<< 5.74.0-1)
+Replaces: extra-cmake-modules (<< 5.74.0-1)
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream

## extra-cmake-modules 5.109.0

=== debian/changelog ===
extra-cmake-modules (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:46:48 +0100

extra-cmake-modules (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:19 +0100

extra-cmake-modules (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:24 +0100

extra-cmake-modules (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:42:45 +0100

## extra-cmake-modules 5.109.0+p22.04+vunstable+git20240530.1655

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,23 +11,12 @@
 # Preliminary setup
 #
 
-set(VERSION "5.103.0") # handled by release scripts
+set(VERSION "5.117.0") # handled by release scripts
 
-if (POLICY CMP0048)
-    cmake_policy(SET CMP0048 NEW)
-    project(ECM
-        VERSION "${VERSION}"
-        LANGUAGES NONE
-    )
-else()
-    project(ECM NONE)
-    include("${CMAKE_SOURCE_DIR}/modules/ECMSetupVersion.cmake")
-    ecm_setup_version(
-        "${VERSION}"
-        VARIABLE_PREFIX ECM
-    )
-endif()
-
+project(ECM
+    VERSION "${VERSION}"
+    LANGUAGES NONE
+)
 
 #
 # Includes

=== debian/changelog ===
extra-cmake-modules (5.109.0+p22.04+vunstable+git20240530.1655-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 May 2024 16:55:00 +0000

extra-cmake-modules (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:01:48 +0000

extra-cmake-modules (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:30:31 +0000

extra-cmake-modules (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:48:34 +0000

extra-cmake-modules (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:43:35 +0000

extra-cmake-modules (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:17:30 +0000

extra-cmake-modules (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:20:21 +0000

extra-cmake-modules (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:44:11 +0000

extra-cmake-modules (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:49:09 +0000

extra-cmake-modules (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:54:03 +0000

extra-cmake-modules (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 13:35:53 +0000

extra-cmake-modules (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:49:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
@@ -12,19 +10,20 @@
                pkg-kde-tools (>= 0.15.16~),
                python3-distutils <!nodoc>,
                python3-setuptools <!nodoc>,
-               python3-sphinx (>= 1.2~) <!nodoc>,
+               python3-sphinx <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
-Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.6.1
+               python3-sphinxcontrib.serializinghtml <!nodoc>
+Build-Depends-Indep: dh-sequence-sphinxdoc
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://invent.kde.org/neon/kde/extra-cmake-modules.git
+Vcs-Browser: https://invent.kde.org/neon/kde/extra-cmake-modules
+Maintainer: Neon CI <neon@kde.org>
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -38,7 +37,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54)
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>

## extra-cmake-modules 5.110.0

=== debian/changelog ===
extra-cmake-modules (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:04:10 +0100

## extra-cmake-modules 5.113.0

=== debian/changelog ===
extra-cmake-modules (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:40:59 +0000

extra-cmake-modules (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:45:47 +0000

extra-cmake-modules (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:55:28 +0000

## extra-cmake-modules 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Preliminary setup
 #
 
-set(VERSION "5.117.0") # handled by release scripts
+set(VERSION "5.115.0") # handled by release scripts
 
 project(ECM
     VERSION "${VERSION}"

=== tests/ECMFindQmlModule/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(extra-cmake-modules)

set(ECM_FIND_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules)
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
set(CMAKE_MODULE_PATH "${ECM_FIND_MODULE_DIR}" "${ECM_MODULE_DIR}")

include(ECMFindQmlModule)

ecm_find_qmlmodule(QtQuick 2.1)

add_executable(dummy main.c)

=== tests/ECMAddTests/multi_tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMAddTests)

set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
set(CMAKE_MODULE_PATH "${ECM_MODULE_DIR}")

add_library(testhelper STATIC ../testhelper.cpp)
target_include_directories(testhelper PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/..")

# Link to QtCore for WinMain on Windows
include(QtVersionOption)
find_package(Qt${QT_MAJOR_VERSION}Core REQUIRED)
target_link_libraries(testhelper PUBLIC Qt${QT_MAJOR_VERSION}::Core)

enable_testing()

include(ECMAddTests)
include(../../test_helpers.cmake)

# clean up to avoid false-positives from check_files.cmake
file(REMOVE
    "${CMAKE_CURRENT_BINARY_DIR}/test1.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test2.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test3.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test4.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test5.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test6.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test7.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test8.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/test9.txt"
    )
file(REMOVE_RECURSE
    "${CMAKE_CURRENT_BINARY_DIR}/test1011_dir"
    )

set(exp_target_names "test1;test2;test3")
set(exp_test_names "test1;test2;test3")
ecm_add_tests(
    test1.cpp
    test2.cpp
    test3.cpp
    LINK_LIBRARIES testhelper
    TARGET_NAMES_VAR target_names
    TEST_NAMES_VAR test_names
    )
assert_vars_setequal(target_names exp_target_names)
assert_vars_setequal(test_names exp_test_names)
# check targets exist
get_property(_dummy TARGET test1 PROPERTY TYPE)
get_property(_dummy TARGET test2 PROPERTY TYPE)
get_property(_dummy TARGET test3 PROPERTY TYPE)
# check tests exists
get_property(_dummy TEST test1 PROPERTY TIMEOUT)
get_property(_dummy TEST test2 PROPERTY TIMEOUT)
get_property(_dummy TEST test3 PROPERTY TIMEOUT)
get_property(_is_win32 TARGET test1 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test1 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test1 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test1 is an OS/X bundle when it should not be")
endif()
get_property(_is_win32 TARGET test2 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test2 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test2 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test2 is an OS/X bundle when it should not be")
endif()


ecm_add_tests(
    test4.cpp
    test5.cpp
    LINK_LIBRARIES testhelper
    NAME_PREFIX pref_
    )
get_property(_dummy TARGET test4 PROPERTY TYPE)
get_property(_dummy TARGET test5 PROPERTY TYPE)
get_property(_dummy TEST pref_test4 PROPERTY TIMEOUT)
get_property(_dummy TEST pref_test5 PROPERTY TIMEOUT)
get_property(_is_win32 TARGET test4 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test4 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test4 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test4 is an OS/X bundle when it should not be")
endif()
get_property(_is_win32 TARGET test5 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test5 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test5 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test5 is an OS/X bundle when it should not be")
endif()


ecm_add_tests(
    test6.cpp
    test7.cpp
    LINK_LIBRARIES testhelper
    GUI
    )
get_property(_dummy TARGET test6 PROPERTY TYPE)
get_property(_dummy TARGET test7 PROPERTY TYPE)
get_property(_dummy TEST test6 PROPERTY TIMEOUT)
get_property(_dummy TEST test7 PROPERTY TIMEOUT)
get_property(_is_win32 TARGET test6 PROPERTY WIN32_EXECUTABLE)
if (NOT _is_win32)
    message(FATAL_ERROR "test6 is not a WIN32 executable when it should be")
endif()
get_property(_is_bundle TARGET test6 PROPERTY MACOSX_BUNDLE)
if (NOT _is_bundle)
    message(FATAL_ERROR "test6 is not an OS/X bundle when it should be")
endif()
get_property(_is_win32 TARGET test7 PROPERTY WIN32_EXECUTABLE)
if (NOT _is_win32)
    message(FATAL_ERROR "test7 is not a WIN32 executable when it should be")
endif()
get_property(_is_bundle TARGET test7 PROPERTY MACOSX_BUNDLE)
if (NOT _is_bundle)
    message(FATAL_ERROR "test7 is not an OS/X bundle when it should be")
endif()


set(exp_target_names "test8;test9")
set(exp_test_names "p_test8;p_test9")
ecm_add_tests(
    test8.cpp
    test9.cpp
    LINK_LIBRARIES testhelper
    NAME_PREFIX p_
    GUI
    TARGET_NAMES_VAR target_names
    TEST_NAMES_VAR test_names
    )
assert_vars_setequal(target_names exp_target_names)
assert_vars_setequal(test_names exp_test_names)
get_property(_dummy TARGET test8 PROPERTY TYPE)
get_property(_dummy TARGET test9 PROPERTY TYPE)
get_property(_dummy TEST p_test8 PROPERTY TIMEOUT)
get_property(_dummy TEST p_test9 PROPERTY TIMEOUT)
get_property(_is_win32 TARGET test8 PROPERTY WIN32_EXECUTABLE)
if (NOT _is_win32)
    message(FATAL_ERROR "test8 is not a WIN32 executable when it should be")
endif()
get_property(_is_bundle TARGET test8 PROPERTY MACOSX_BUNDLE)
if (NOT _is_bundle)
    message(FATAL_ERROR "test8 is not an OS/X bundle when it should be")
endif()
get_property(_is_win32 TARGET test9 PROPERTY WIN32_EXECUTABLE)
if (NOT _is_win32)
    message(FATAL_ERROR "test9 is not a WIN32 executable when it should be")
endif()
get_property(_is_bundle TARGET test9 PROPERTY MACOSX_BUNDLE)
if (NOT _is_bundle)
    message(FATAL_ERROR "test9 is not an OS/X bundle when it should be")
endif()


set(exp_workingdir "${CMAKE_CURRENT_BINARY_DIR}/test1011_dir")
file(MAKE_DIRECTORY "${exp_workingdir}") # cmake does not create that for us, will complain otherwise
ecm_add_tests(
    test10.cpp
    test11.cpp
    LINK_LIBRARIES testhelper
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/test1011_dir"
    )
get_property(_dummy TARGET test10 PROPERTY TYPE)
get_property(_dummy TARGET test11 PROPERTY TYPE)
get_property(_dummy TEST test10 PROPERTY TIMEOUT)
get_property(_dummy TEST test11 PROPERTY TIMEOUT)
get_property(_working_dir TEST test10 PROPERTY WORKING_DIRECTORY)
assert_vars_setequal(_working_dir exp_workingdir)
get_property(_working_dir TEST test11 PROPERTY WORKING_DIRECTORY)
assert_vars_setequal(_working_dir exp_workingdir)
get_property(_is_win32 TARGET test10 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test10 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test10 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test10 is an OS/X bundle when it should not be")
endif()
get_property(_is_win32 TARGET test11 PROPERTY WIN32_EXECUTABLE)
if (_is_win32)
    message(FATAL_ERROR "test11 is a WIN32 executable when it should not be")
endif()
get_property(_is_bundle TARGET test11 PROPERTY MACOSX_BUNDLE)
if (_is_bundle)
    message(FATAL_ERROR "test11 is an OS/X bundle when it should not be")
endif()

=== debian/changelog ===
extra-cmake-modules (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:53 +1100

extra-cmake-modules (5.115.0-0ubuntu4) noble; urgency=medium

  * Drop python3-distutils build depend, this package was removed from
    Debian and Ubuntu

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 12 Mar 2024 11:44:36 -0500

extra-cmake-modules (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:42:22 -0700

extra-cmake-modules (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:01:03 -0700

extra-cmake-modules (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:39:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                libjs-underscore <!nodoc>,
                pkg-kde-tools (>= 0.15.16~),
-               python3-distutils <!nodoc>,
                python3-setuptools <!nodoc>,
-               python3-sphinx <!nodoc>,
+               python3-sphinx (>= 1.2~) <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>
-Build-Depends-Indep: dh-sequence-sphinxdoc
-Standards-Version: 4.6.0
+               python3-sphinxcontrib.serializinghtml <!nodoc>,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Git: https://invent.kde.org/neon/kde/extra-cmake-modules.git
-Vcs-Browser: https://invent.kde.org/neon/kde/extra-cmake-modules
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -37,7 +37,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54)
+        libkf5runner-dev (<< 5.54),
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>

## extra-cmake-modules 6.1.0

=== debian/changelog ===
extra-cmake-modules (6.1.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0), closes: #1069972.

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 23:30:30 +0200

extra-cmake-modules (6.0.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 10:11:05 +0100

extra-cmake-modules (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update build-dependencies.
  * Switch back to stable releases.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Feb 2024 18:36:02 +0100

extra-cmake-modules (5.249.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.249.0).
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Switch to unstable releases and update the signing keys.
  * Suggest Qt 6 instead of Qt 5.
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jan 2024 20:25:01 +0100

extra-cmake-modules (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove python3-distutils build-dependency (Closes: #1065857).

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 17:21:58 +0100

extra-cmake-modules (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * New upstream release (5.107.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:23 +0200

extra-cmake-modules (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                libjs-underscore <!nodoc>,
-               pkg-kde-tools (>= 0.15.16~),
+               pkg-kde-tools (>= 0.17.0~),
                python3-setuptools <!nodoc>,
                python3-sphinx (>= 1.2~) <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
                python3-sphinxcontrib.serializinghtml <!nodoc>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
 
 Package: extra-cmake-modules
 Architecture: any
 Depends: ${misc:Depends},
-Suggests: qt5-qmake, qtbase5-dev
+Suggests: qt6-base-dev,
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream
@@ -44,11 +43,11 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Built-Using: ${sphinxdoc:Built-Using}
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Breaks: extra-cmake-modules (<< 5.74.0-1)
-Replaces: extra-cmake-modules (<< 5.74.0-1)
-Description: Extra modules and scripts for CMake
+Built-Using: ${sphinxdoc:Built-Using},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+Breaks: extra-cmake-modules (<< 5.74.0-1),
+Replaces: extra-cmake-modules (<< 5.74.0-1),
+Description: Extra modules and scripts for CMake - documentation
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream
  to CMake and a place for modules that, for whatever reason, are not a good fit

## extra-cmake-modules 6.3.0

=== debian/changelog ===
extra-cmake-modules (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:43:48 +0200

## extra-cmake-modules 6.5.0

=== debian/changelog ===
extra-cmake-modules (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:54 +0200

extra-cmake-modules (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Add lintian override for not depending on Python.
  * Review copyright information.
  * Add lintian override for nonsensical built-using-field-on-arch-all-package
    (See #999785).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinxcontrib.qthelp <!nodoc>,
                python3-sphinxcontrib.serializinghtml <!nodoc>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules

## extra-cmake-modules 6.6.0

=== debian/changelog ===
extra-cmake-modules (6.6.0-0ubuntu2) oracular; urgency=medium

  * Add python3 runtime as suggested by lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 16:58:34 +0100

extra-cmake-modules (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:49 +0100

extra-cmake-modules (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:50 +0100

extra-cmake-modules (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -17,12 +18,12 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: python3, ${misc:Depends},
 Suggests: qt6-base-dev,
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It

## extra-cmake-modules 6.8.0

=== debian/changelog ===
extra-cmake-modules (6.8.0-0ubuntu2) plucky; urgency=medium

  * Pass -DBUILD_TESTING=OFF to configure instead of building with Qt6.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 13:24:26 +0000

extra-cmake-modules (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.8.0)
  * Build with Qt6.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 08:03:20 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                libjs-underscore <!nodoc>,
-               pkg-kde-tools (>= 0.17.0~),
                python3-setuptools <!nodoc>,
                python3-sphinx (>= 1.2~) <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
@@ -35,9 +36,6 @@
  other projects will find it useful, and outside contributions are always
  welcome. The main rule for new modules is that there must be at least two
  downstream users.
-Breaks: libkf5package-dev (<< 5.54),
-        libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54),
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>
@@ -46,8 +44,6 @@
 Section: doc
 Built-Using: ${sphinxdoc:Built-Using},
 Depends: ${misc:Depends}, ${sphinxdoc:Depends},
-Breaks: extra-cmake-modules (<< 5.74.0-1),
-Replaces: extra-cmake-modules (<< 5.74.0-1),
 Description: Extra modules and scripts for CMake - documentation
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
  serves as both a staging ground for new modules before they are moved upstream
